---
.script-ci-bot-git-tag-project:
  before_script:
    - git config user.email "CI"
    - git config user.name "CI"
    - >-
      git remote add ci-origin
      https://oauth2:${GITLAB_ACCESS_TOKEN}@${CI_SERVER_HOST}/${CI_PROJECT_PATH}
  script:
    - 'git tag -a "${PROJECT_NAME}-${PROJECT_VERSION}" -m "release: ${PROJECT_NAME} v${PROJECT_VERSION}"'
    - 'git push ci-origin "${PROJECT_NAME}-${PROJECT_VERSION}"'
  after_script:
    - git remote remove ci-origin
